Bug 507096 - mdtool wrapper doesn't work on 64-bit Fedora
mdtool wrapper doesn't work on 64-bit Fedora
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: monodevelop (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-20 16:19 EDT by Alex Hudson (Fedora Address)
Modified: 2009-06-23 11:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-22 18:38:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Hudson (Fedora Address) 2009-06-20 16:19:35 EDT
Description of problem:

/usr/bin/mdtool is a wrapper around a Mono executable. Sadly, the path is wrong on 64bit. It contains the line:

EXE_PATH="$PREFIX/lib/monodevelop/bin/mdrun.exe"

However, mdrun.exe is under $PREFIX/lib64/monodevelop/bin here.

I'm not sure what's wrong here: clearly the path needs to match reality, but I'm not convinced that the executable is actually 64-bit rather than 32-bit. I would have thought it was arch-neutral personally.

One or the other needs to be fixed, though, cos otherwise I can't execute mdtool :)

Thanks.

Note You need to log in before you can comment on or make changes to this bug.